@inproceedings{DBLP:conf/isorc/RichterGP15,
  author    = {Daniel Richter and
               Andreas Grapentin and
               Andreas Polze},
  title     = {Mobility-as-a-Service: {A} Distributed Real-Time Simulation with Carrera
               Slot-Cars},
  booktitle = {{IEEE} 18th International Symposium on Real-Time Distributed Computing,
               {ISORC} 2015, Auckland, New Zealand, 13-17 April, 2015},
  pages     = {276--279},
  publisher = {{IEEE} Computer Society},
  year      = {2015},
  url       = {https://doi.org/10.1109/ISORC.2015.19},
  doi       = {10.1109/ISORC.2015.19},
  timestamp = {Wed, 16 Oct 2019 14:14:53 +0200},
  biburl    = {https://dblp.org/rec/conf/isorc/RichterGP15.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}
@inproceedings{DBLP:conf/chi/BoothSBJ16,
  author    = {Tracey Booth and
               Simone Stumpf and
               Jon Bird and
               Sara Jones},
  editor    = {Jofish Kaye and
               Allison Druin and
               Cliff Lampe and
               Dan Morris and
               Juan Pablo Hourcade},
  title     = {Crossed Wires: Investigating the Problems of End-User Developers in
               a Physical Computing Task},
  booktitle = {Proceedings of the 2016 {CHI} Conference on Human Factors in Computing
               Systems, San Jose, CA, USA, May 7-12, 2016},
  pages     = {3485--3497},
  publisher = {{ACM}},
  year      = {2016},
  url       = {https://doi.org/10.1145/2858036.2858533},
  doi       = {10.1145/2858036.2858533},
  timestamp = {Fri, 12 Mar 2021 15:27:48 +0100},
  biburl    = {https://dblp.org/rec/conf/chi/BoothSBJ16.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/uist/DrewNMMMH16,
  author    = {Daniel Drew and
               Julie L. Newcomb and
               William McGrath and
               Filip Maksimovic and
               David Mellis and
               Bj{\"{o}}rn Hartmann},
  editor    = {Jun Rekimoto and
               Takeo Igarashi and
               Jacob O. Wobbrock and
               Daniel Avrahami},
  title     = {The Toastboard: Ubiquitous Instrumentation and Automated Checking
               of Breadboarded Circuits},
  booktitle = {Proceedings of the 29th Annual Symposium on User Interface Software
               and Technology, {UIST} 2016, Tokyo, Japan, October 16-19, 2016},
  pages     = {677--686},
  publisher = {{ACM}},
  year      = {2016},
  url       = {https://doi.org/10.1145/2984511.2984566},
  doi       = {10.1145/2984511.2984566},
  timestamp = {Tue, 06 Nov 2018 16:58:07 +0100},
  biburl    = {https://dblp.org/rec/conf/uist/DrewNMMMH16.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/osdi/FonsecaDLS08,
  author    = {Rodrigo Fonseca and
               Prabal Dutta and
               Philip Levis and
               Ion Stoica},
  editor    = {Richard Draves and
               Robbert van Renesse},
  title     = {Quanto: Tracking Energy in Networked Embedded Systems},
  booktitle = {8th {USENIX} Symposium on Operating Systems Design and Implementation,
               {OSDI} 2008, December 8-10, 2008, San Diego, California, USA, Proceedings},
  pages     = {323--338},
  publisher = {{USENIX} Association},
  year      = {2008},
  url       = {http://www.usenix.org/events/osdi08/tech/full_papers/fonseca/fonseca.pdf},
  timestamp = {Thu, 12 Mar 2020 11:35:54 +0100},
  biburl    = {https://dblp.org/rec/conf/osdi/FonsecaDLS08.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/uist/McGrathWKHDH18,
  author    = {William McGrath and
               Jeremy Warner and
               Mitchell Karchemsky and
               Andrew Head and
               Daniel Drew and
               Bjoern Hartmann},
  editor    = {Patrick Baudisch and
               Albrecht Schmidt and
               Andy Wilson},
  title     = {WiFr{\"{o}}st: Bridging the Information Gap for Debugging of
               Networked Embedded Systems},
  booktitle = {The 31st Annual {ACM} Symposium on User Interface Software and Technology,
               {UIST} 2018, Berlin, Germany, October 14-17, 2018},
  pages     = {447--455},
  publisher = {{ACM}},
  year      = {2018},
  url       = {https://doi.org/10.1145/3242587.3242668},
  doi       = {10.1145/3242587.3242668},
  timestamp = {Wed, 21 Nov 2018 12:44:17 +0100},
  biburl    = {https://dblp.org/rec/conf/uist/McGrathWKHDH18.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/memocode/Broy05,
  author    = {Manfred Broy},
  title     = {Automotive software and systems engineering (Panel)},
  booktitle = {3rd {ACM} {\&} {IEEE} International Conference on Formal Methods
               and Models for Co-Design {(MEMOCODE} 2005), 11-14 July 2005, Verona,
               Italy, Proceedings},
  pages     = {143--149},
  publisher = {{IEEE} Computer Society},
  year      = {2005},
  url       = {https://doi.org/10.1109/MEMCOD.2005.1487905},
  doi       = {10.1109/MEMCOD.2005.1487905},
  timestamp = {Wed, 16 Oct 2019 14:14:54 +0200},
  biburl    = {https://dblp.org/rec/conf/memocode/Broy05.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@article{DBLP:journals/dt/SchulzRB02,
  author    = {Stephan Schulz and
               Jerzy W. Rozenblit and
               Klaus Buchenrieder},
  title     = {Multilevel Testing for Design Verification of Embedded Systems},
  journal   = {{IEEE} Des. Test Comput.},
  volume    = {19},
  number    = {2},
  pages     = {60--69},
  year      = {2002},
  url       = {https://doi.org/10.1109/54.990443},
  doi       = {10.1109/54.990443},
  timestamp = {Sun, 17 May 2020 11:44:12 +0200},
  biburl    = {https://dblp.org/rec/journals/dt/SchulzRB02.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/IEEEcit/HaberlHBB10,
  author    = {Wolfgang Haberl and
               Markus Herrmannsdoerfer and
               Jan Birke and
               Uwe Baumgarten},
  title     = {Model-Level Debugging of Embedded Real-Time Systems},
  booktitle = {10th {IEEE} International Conference on Computer and Information Technology,
               {CIT} 2010, Bradford, West Yorkshire, UK, June 29-July 1, 2010},
  pages     = {1887--1894},
  publisher = {{IEEE} Computer Society},
  year      = {2010},
  url       = {https://doi.org/10.1109/CIT.2010.323},
  doi       = {10.1109/CIT.2010.323},
  timestamp = {Wed, 16 Oct 2019 14:14:55 +0200},
  biburl    = {https://dblp.org/rec/conf/IEEEcit/HaberlHBB10.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/sigbed/Mohan08,
  author    = {Sibin Mohan},
  title     = {Worst-case execution time analysis of security policies for deeply
               embedded real-time systems},
  journal   = {{SIGBED} Rev.},
  volume    = {5},
  number    = {1},
  pages     = {8},
  year      = {2008},
  url       = {https://doi.org/10.1145/1366283.1366291},
  doi       = {10.1145/1366283.1366291},
  timestamp = {Sun, 21 Jun 2020 17:41:32 +0200},
  biburl    = {https://dblp.org/rec/journals/sigbed/Mohan08.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{IBM:journals/Hailpern02,
    author = {Hailpern, B. and Santhanam, P.},
    title = {Software Debugging, Testing, and Verification},
    year = {2002},
    issue_date = {January 2002},
    publisher = {IBM Corp.},
    address = {USA},
    volume = {41},
    number = {1},
    issn = {0018-8670},
    url = {https://doi.org/10.1147/sj.411.0004},
    doi = {10.1147/sj.411.0004},
    abstract = {In commercial software development organizations, increased complexity of products, shortened development cycles, and higher customer expectations of quality have placed a major responsibility on the areas of software debugging, testing, and verification. As this issue of the IBM Systems Journal illustrates, there are exciting improvements in the underlying technology on all three fronts. However, we observe that due to the informal nature of software development as a whole, the prevalent practices in the industry are still immature, even in areas where improved technology exists. In addition, tools that incorporate the more advanced aspects of this technology are not ready for large-scale commercial use. Hence there is reason to hope for significant improvements in this area over the next several years.},
    journal = {IBM Syst. J.},
    month = jan,
    pages = {4–12},
    numpages = {9}
}

@inproceedings{DBLP:conf/codes/SamieBH16,
  author    = {Farzad Samie and
               Lars Bauer and
               J{\"{o}}rg Henkel},
  title     = {IoT technologies for embedded computing: a survey},
  booktitle = {Proceedings of the Eleventh {IEEE/ACM/IFIP} International Conference
               on Hardware/Software Codesign and System Synthesis, {CODES} 2016,
               Pittsburgh, Pennsylvania, USA, October 1-7, 2016},
  pages     = {8:1--8:10},
  publisher = {{ACM}},
  year      = {2016},
  url       = {https://doi.org/10.1145/2968456.2974004},
  doi       = {10.1145/2968456.2974004},
  timestamp = {Wed, 16 Oct 2019 14:14:48 +0200},
  biburl    = {https://dblp.org/rec/conf/codes/SamieBH16.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/i2mtc/PotschBS17,
  author    = {Albert Potsch and
               Achim Berger and
               Andreas Springer},
  title     = {Efficient analysis of power consumption behaviour of embedded wireless
               IoT systems},
  booktitle = {{IEEE} International Instrumentation and Measurement Technology Conference,
               {I2MTC} 2017, Torino, Italy, May 22-25, 2017},
  pages     = {1--6},
  publisher = {{IEEE}},
  year      = {2017},
  url       = {https://doi.org/10.1109/I2MTC.2017.7969658},
  doi       = {10.1109/I2MTC.2017.7969658},
  timestamp = {Sat, 19 Oct 2019 20:11:02 +0200},
  biburl    = {https://dblp.org/rec/conf/i2mtc/PotschBS17.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@mastersthesis{yue2013marine,
  title={Marine data collection based on embedded system with wired and wireless transmission},
  author={Yue, Mingli and Sun, Yihai},
  year={2013},
  school={Universitetet i Agder/University of Agder}
}

@inproceedings{DBLP:conf/infocom/FriedmanKK11,
  author    = {Roy Friedman and
               Alex Kogan and
               Yevgeny Krivolapov},
  title     = {On power and throughput tradeoffs of WiFi and Bluetooth in smartphones},
  booktitle = {{INFOCOM} 2011. 30th {IEEE} International Conference on Computer Communications,
               Joint Conference of the {IEEE} Computer and Communications Societies,
               10-15 April 2011, Shanghai, China},
  pages     = {900--908},
  publisher = {{IEEE}},
  year      = {2011},
  url       = {https://doi.org/10.1109/INFCOM.2011.5935315},
  doi       = {10.1109/INFCOM.2011.5935315},
  timestamp = {Wed, 16 Oct 2019 14:14:51 +0200},
  biburl    = {https://dblp.org/rec/conf/infocom/FriedmanKK11.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{macnamee2000emerging,
  title={Emerging on-ship debugging techniques for real-time embedded systems},
  author={MacNamee, Ciaran and Heffernan, Donal},
  journal={Computing \& Control Engineering Journal},
  volume={11},
  number={6},
  pages={295--303},
  year={2000},
  publisher={IET}
}

@article{DBLP:journals/csur/Stankovic96,
  author    = {John A. Stankovic},
  title     = {Real-Time and Embedded Systems},
  journal   = {{ACM} Comput. Surv.},
  volume    = {28},
  number    = {1},
  pages     = {205--208},
  year      = {1996},
  url       = {https://doi.org/10.1145/234313.234400},
  doi       = {10.1145/234313.234400},
  timestamp = {Tue, 06 Nov 2018 12:50:50 +0100},
  biburl    = {https://dblp.org/rec/journals/csur/Stankovic96.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{MacNamee2000EmergingOD,
  title={Emerging on-ship debugging techniques for real-time embedded systems},
  author={Ciaran MacNamee and D. Heffernan},
  journal={Computing \& Control Engineering Journal},
  year={2000},
  volume={11},
  pages={295-303}
}

@inproceedings{DBLP:conf/ipsn/WhitehouseTTSKJHDC06,
  author    = {Kamin Whitehouse and
               Gilman Tolle and
               Jay Taneja and
               Cory Sharp and
               Sukun Kim and
               Jaein Jeong and
               Jonathan Hui and
               Prabal Dutta and
               David E. Culler},
  editor    = {John A. Stankovic and
               Phillip B. Gibbons and
               Stephen B. Wicker and
               Joseph A. Paradiso},
  title     = {Marionette: using {RPC} for interactive development and debugging
               of wireless embedded networks},
  booktitle = {Proceedings of the Fifth International Conference on Information Processing
               in Sensor Networks, {IPSN} 2006, Nashville, Tennessee, USA, April
               19-21, 2006},
  pages     = {416--423},
  publisher = {{ACM}},
  year      = {2006},
  url       = {https://doi.org/10.1145/1127777.1127840},
  doi       = {10.1145/1127777.1127840},
  timestamp = {Wed, 16 Oct 2019 14:14:56 +0200},
  biburl    = {https://dblp.org/rec/conf/ipsn/WhitehouseTTSKJHDC06.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/emsoft/CuevaBTMS12,
  author    = {Patricia L{\'{o}}pez Cueva and
               Aur{\'{e}}lie Bertaux and
               Alexandre Termier and
               Jean{-}Fran{\c{c}}ois M{\'{e}}haut and
               Miguel Santana},
  editor    = {Ahmed Jerraya and
               Luca P. Carloni and
               Florence Maraninchi and
               John Regehr},
  title     = {Debugging embedded multimedia application traces through periodic
               pattern mining},
  booktitle = {Proceedings of the 12th International Conference on Embedded Software,
               {EMSOFT} 2012, part of the Eighth Embedded Systems Week, ESWeek 2012,
               Tampere, Finland, October 7-12, 2012},
  pages     = {13--22},
  publisher = {{ACM}},
  year      = {2012},
  url       = {https://doi.org/10.1145/2380356.2380366},
  doi       = {10.1145/2380356.2380366},
  timestamp = {Tue, 06 Nov 2018 16:59:07 +0100},
  biburl    = {https://dblp.org/rec/conf/emsoft/CuevaBTMS12.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/aspdac/HwangKJC08,
  author    = {Young{-}Si Hwang and
               Sung{-}Kwan Ku and
               Chan{-}Min Jung and
               Ki{-}Seok Chung},
  editor    = {Chong{-}Min Kyung and
               Kiyoung Choi and
               Soonhoi Ha},
  title     = {Predictive power aware management for embedded mobile devices},
  booktitle = {Proceedings of the 13th Asia South Pacific Design Automation Conference,
               {ASP-DAC} 2008, Seoul, Korea, January 21-24, 2008},
  pages     = {36--41},
  publisher = {{IEEE}},
  year      = {2008},
  url       = {https://doi.org/10.1109/ASPDAC.2008.4483976},
  doi       = {10.1109/ASPDAC.2008.4483976},
  timestamp = {Wed, 16 Oct 2019 14:14:52 +0200},
  biburl    = {https://dblp.org/rec/conf/aspdac/HwangKJC08.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/hpec/SkowyraBB13,
  author    = {Richard Skowyra and
               Sanaz Bahargam and
               Azer Bestavros},
  title     = {Software-Defined {IDS} for securing embedded mobile devices},
  booktitle = {{IEEE} High Performance Extreme Computing Conference, {HPEC} 2013,
               Waltham, MA, USA, September 10-12, 2013},
  pages     = {1--7},
  publisher = {{IEEE}},
  year      = {2013},
  url       = {https://doi.org/10.1109/HPEC.2013.6670325},
  doi       = {10.1109/HPEC.2013.6670325},
  timestamp = {Wed, 16 Oct 2019 14:14:52 +0200},
  biburl    = {https://dblp.org/rec/conf/hpec/SkowyraBB13.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{5751382,
  author={Ukil, Arijit and Sen, Jaydip and Koilakonda, Sripad},
  booktitle={2011 2nd National Conference on Emerging Trends and Applications in Computer Science}, 
  title={Embedded security for Internet of Things}, 
  year={2011},
  volume={},
  number={},
  pages={1-6},
  doi={10.1109/NCETACS.2011.5751382}
}

@inproceedings{10.1145/1435458.1435462,
    author = {Brakensiek, J\"{o}rg and Dr\"{o}ge, Axel and Botteck, Martin and H\"{a}rtig, Hermann and Lackorzynski, Adam},
    title = {Virtualization as an Enabler for Security in Mobile Devices},
    year = {2008},
    isbn = {9781605581262},
    publisher = {Association for Computing Machinery},
    address = {New York, NY, USA},
    url = {https://doi.org/10.1145/1435458.1435462},
    doi = {10.1145/1435458.1435462},
    abstract = {Virtualization, a well established technology in the desktop and server domain, is currently investigated and analyzed with respect to its potential within mobile devices. The paper argues that mobile devices, which are targeting a completely open setup (e.g. Linux based), are facing severe security challenges. Thus, virtualization will be discussed as an enabler for security in mobile devices. Virtualization approaches and elements are discussed in detail taking this use case and existing limitations of mobile embedded devices into account.},
    booktitle = {Proceedings of the 1st Workshop on Isolation and Integration in Embedded Systems},
    pages = {17–22},
    numpages = {6},
    keywords = {virtual machine monitor, mobile device, hypervisor, virtualization},
    location = {Glasgow, Scotland},
    series = {IIES '08}
}

@article{murali2021improved,
    author = {Murali, A. and Kakarla, Hari and Anitha Priyadarshini, G.M.},
    year = {2021},
    month = {06},
    pages = {},
    title = {Improved design debugging architecture using low power serial communication protocols for signal processing applications},
    volume = {24},
    journal = {International Journal of Speech Technology},
    doi = {10.1007/s10772-020-09784-x}
}

@inproceedings{DBLP:conf/etfa/SenoVT11,
  author    = {Lucia Seno and
               Stefano Vitturi and
               Federico Tramarin},
  editor    = {Zoubir Mammeri},
  title     = {Experimental evaluation of the service time for industrial hybrid
               (wired/wireless) networks under non-ideal environmental conditions},
  booktitle = {{IEEE} 16th Conference on Emerging Technologies {\&} Factory Automation,
               {ETFA} 2011, Toulouse, France, September 5-9, 2011},
  pages     = {1--8},
  publisher = {{IEEE}},
  year      = {2011},
  url       = {https://doi.org/10.1109/ETFA.2011.6059005},
  doi       = {10.1109/ETFA.2011.6059005},
  timestamp = {Wed, 16 Oct 2019 14:14:55 +0200},
  biburl    = {https://dblp.org/rec/conf/etfa/SenoVT11.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/www/QianWGHGMSS12,
  author    = {Feng Qian and
               Zhaoguang Wang and
               Yudong Gao and
               Junxian Huang and
               Alexandre Gerber and
               Zhuoqing Morley Mao and
               Subhabrata Sen and
               Oliver Spatscheck},
  editor    = {Alain Mille and
               Fabien Gandon and
               Jacques Misselis and
               Michael Rabinovich and
               Steffen Staab},
  title     = {Periodic transfers in mobile applications: network-wide origin, impact,
               and optimization},
  booktitle = {Proceedings of the 21st World Wide Web Conference 2012, {WWW} 2012,
               Lyon, France, April 16-20, 2012},
  pages     = {51--60},
  publisher = {{ACM}},
  year      = {2012},
  url       = {https://doi.org/10.1145/2187836.2187844},
  doi       = {10.1145/2187836.2187844},
  timestamp = {Fri, 16 Apr 2021 10:04:12 +0200},
  biburl    = {https://dblp.org/rec/conf/www/QianWGHGMSS12.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/isj/BaskervilleP04,
  author    = {Richard L. Baskerville and
               Jan Pries{-}Heje},
  title     = {Short cycle time systems development},
  journal   = {Inf. Syst. J.},
  volume    = {14},
  number    = {3},
  pages     = {237--264},
  year      = {2004},
  url       = {https://doi.org/10.1111/j.1365-2575.2004.00171.x},
  doi       = {10.1111/j.1365-2575.2004.00171.x},
  timestamp = {Wed, 30 Oct 2019 17:01:24 +0100},
  biburl    = {https://dblp.org/rec/journals/isj/BaskervilleP04.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@misc{SlotBaer,
  author = {Stephan Heß},
  title = {SLOTBAER / CARRERA DIGITAL 124/132 / CU DATEN-PROTOKOLL (UPDATE 2019)},
  howpublished = {\url{http://slotbaer.de/carrera-digital-124-132/9-cu-daten-protokoll.html}},
  year = {2019},
  note = {Accessed: 2021-05-18}
}

@misc{ESP32DataSheet,
  author = {{Espressif Systems}},
  title = {ESP32 Series Datasheet},
  howpublished = {\url{https://www.espressif.com/sites/default/files/documentation/esp32_datasheet_en.pdf}},
  year = {2021},
  note = {Accessed: 2021-08-09}
}

@article{DBLP:journals/ubiquity/Hyde06,
  author    = {Randall Hyde},
  title     = {The fallacy of premature optimization},
  journal   = {Ubiquity},
  volume    = {2006},
  number    = {June},
  pages     = {4:2},
  year      = {2006},
  url       = {https://doi.org/10.1145/1147991.1147993},
  doi       = {10.1145/1147991.1147993},
  timestamp = {Tue, 06 Nov 2018 12:51:19 +0100},
  biburl    = {https://dblp.org/rec/journals/ubiquity/Hyde06.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/spe/DoddR92,
  author    = {Paul S. Dodd and
               Chinya V. Ravishankar},
  title     = {Monitoring and Debugging Distributed Real-time Programs},
  journal   = {Softw. Pract. Exp.},
  volume    = {22},
  number    = {10},
  pages     = {863--877},
  year      = {1992},
  url       = {https://doi.org/10.1002/spe.4380221005},
  doi       = {10.1002/spe.4380221005},
  timestamp = {Mon, 26 Oct 2020 09:03:02 +0100},
  biburl    = {https://dblp.org/rec/journals/spe/DoddR92.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/cacm/Spinellis18,
  author    = {Diomidis Spinellis},
  title     = {Modern debugging: the art of finding a needle in a haystack},
  journal   = {Commun. {ACM}},
  volume    = {61},
  number    = {11},
  pages     = {124--134},
  year      = {2018},
  url       = {https://doi.org/10.1145/3186278},
  doi       = {10.1145/3186278},
  timestamp = {Tue, 29 Dec 2020 18:18:02 +0100},
  biburl    = {https://dblp.org/rec/journals/cacm/Spinellis18.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/tvlsi/ZhaiPNHORMHASB09,
  author    = {Bo Zhai and
               Sanjay Pant and
               Leyla Nazhandali and
               Scott Hanson and
               Javin Olson and
               Anna Reeves and
               Michael Minuth and
               Ryan Helfand and
               Todd M. Austin and
               Dennis Sylvester and
               David T. Blaauw},
  title     = {Energy-Efficient Subthreshold Processor Design},
  journal   = {{IEEE} Trans. Very Large Scale Integr. Syst.},
  volume    = {17},
  number    = {8},
  pages     = {1127--1137},
  year      = {2009},
  url       = {https://doi.org/10.1109/TVLSI.2008.2007564},
  doi       = {10.1109/TVLSI.2008.2007564},
  timestamp = {Wed, 11 Mar 2020 18:17:37 +0100},
  biburl    = {https://dblp.org/rec/journals/tvlsi/ZhaiPNHORMHASB09.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{britton2013reversible,
  title={Reversible debugging software},
  author={Britton, Tom and Jeng, Lisa and Carver, Graham and Cheak, Paul and Katzenellenbogen, Tomer},
  journal={Judge Bus. School, Univ. Cambridge, Cambridge, UK, Tech. Rep},
  year={2013},
  publisher={Citeseer}
}

@article{ebert2009embedded,
  title={Embedded software: Facts, figures, and future},
  author={Ebert, Christof and Jones, Capers},
  journal={Computer},
  volume={42},
  number={4},
  pages={42--52},
  year={2009},
  publisher={IEEE}
}